1.  Param -c (--cgi) is required. It's type should be equal GET_BASESEARCH_RESPONSES.
    The actual task could be gotten from this page (be sure base is current pre-stable branch):
    http://quentao.yandex-team.ru:9999/?db=base-21#tests/RESPONSES_BASESEARCH/results

2.  Param --no-bs means that the binary from initialization task will be executed

3.  Param -b (makes sense only if --no-bs is absent) is required just the name of binary file (in current folder). Ex.:
    -b ../../blah/blah/basesearch - bad
    -b /home/user/basesearch - bad
    basesearch - go-o-od!

4. Param -s forces to use one-stage queries (snippet queries only).
   By default two-stage queries are testing.
